---
title: RTCStats.timestamp
slug: Web/API/RTCStats/timestamp
tags:
  - API
  - Property
  - RTCStats
  - Reference
  - Statistics
  - Stats
  - Time
  - WebRTC
  - WebRTC API
  - rtc
  - timeStamp
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <code><strong>timestamp</strong></code> property of the {{domxref("RTCStats")}} dictionary is a {{domxref("DOMHighResTimeStamp")}} object specifying the time at which the data in the object was sampled.</span> For reports related to RTCP packets, for instance, this indicates the time at which the data covered by the statistics was received at the corresponding endpoint.</p>

<p>The time is given in milliseconds elapsed since the UNIX epoch (the first moment of January 1, 1970, UTC).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>timestamp</em> = <em>RTCStats</em>.timestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} value indicating the time at which the activity described by the statistics in this object was recorded, in milliseconds elapsed since the beginning of January 1, 1970, UTC. This should be accurate to within a few milliseconds but may not be entirely pricise, either because of hardware or operating system limitations or because of fingerprinting protection in the form of reduced clock precision or accuracy.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcstats-timestamp', 'RTCStats.timestamp')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCStats.timestamp")}}</p>
